VMware Cloud Community
MichaelBGL
Contributor
Contributor

After Upgrade ESX from 6.7 to 7.0U2 Errors at Storage Sensors on an HP DL380 Gen10

Hi , 

We use an HP DL380 Gen10 Server with the last Servicepack Firmware . 

After we upgrade from 6.7U3 tu 7.0 U2 we see many Warnings under ESX Host , Monitor , Hardware Health , Strorage Sensors . 

We use the newest Driver for the Smart Array E208i and also the newest Firmware for this HBA . 

https://support.hpe.com/hpesc/public/swd/detail?swItemId=MTX_0bc661d32c3e4940946c8d5b8b&swEnvOid=200...

https://support.hpe.com/hpesc/public/swd/detail?swItemId=MTX_ff8a3aa9a1de4b78ab3ee5d19c&swEnvOid=200...

I have checked the correct Firmware and Driver Version + Compatibility . 

HBA Name Driver Link State UID Capabilities Description
-------- ---------- ---------- ------------------------------------ ------------------- -----------
vmhba0 smartpqi link-n/a sas.51402ec01273a4d0 (0000:5c:00.0) Microsemi HPE E208i-a SR Gen10
vmhba1 lpfc link-up fc.200098f2b3a18914:100098f2b3a18914 Second Level Lun ID (0000:37:00.0) Emulex Corporation Emulex LightPulse LPe32000 PCIe Fibre Channel Adapter
vmhba2 lpfc link-up fc.200098f2b3a18922:100098f2b3a18922 Second Level Lun ID (0000:13:00.0) Emulex Corporation Emulex LightPulse LPe32000 PCIe Fibre Channel Adapter
vmhba64 brcmnvmefc link-up fc.200098f2b3a18922:100098f2b3a18922 (0000:13:00.0) Emulex Corporation Emulex LightPulse LPe32000 PCIe Fibre Channel Adapter
vmhba65 brcmnvmefc link-up fc.200098f2b3a18914:100098f2b3a18914 (0000:37:00.0) Emulex Corporation Emulex LightPulse LPe32000 PCIe Fibre Channel Adapter

[root@sahesx01:~] vmkload_mod -s smartpqi |grep Version
Version: 70.4054.2.118-1OEM.700.1.0.15843807

[root@sahesx01:~] esxcli software vib list | grep smartpqi
smartpqi 70.4054.2.118-1OEM.700.1.0.15843807 MIS VMwareCertified 2021-08-02
lsuv2-smartpqiv2-plugin 1.0.0-6vmw.702.0.0.17867351 VMware VMwareCertified 2021-08-02

I installed the newest HP Customized ISO ESX 7.0U2 

 

Can it be taht this is an Bug ? 

Has anybody else this Errors ? 

Thanks 

Michael 

Reply
0 Kudos
2 Replies
MichaelBGL
Contributor
Contributor

Hi found an temporary Solution is to downgrade the Controller Firmware from 3.53 to 3.00 : 

1. Download Firmware Version 3.00 for the H208i Smart Array Controller : 

https://support.hpe.com/hpesc/public/swd/detail?swItemId=MTX_1b05b3627f244efebc5553b7f4

2. copy the Files CP044423.vmexe, CP044423.vmfile, CP044423.vmexe64 and CP044423.compsig to root /tmp 

3. start SSH , go into /tmp  and execute the CP044423.vmexe with ./CP044423.vmexe --downgrade

4. Restart the Server . 

Problem is gone . BUT with an offically NOT Supported Firmware for ESX 7.0 U2 . 

 

Michael 

Reply
0 Kudos
a_p_
Leadership
Leadership

Although this post is already a few days old, here's an official advisory from HPE for how to resolve the issue.
https://support.hpe.com/hpesc/public/docDisplay?docId=emr_na-a00117054en_us

André